<template>
    <div>
        <base-header class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center">
            <!-- Mask -->
            <span class="mask bg-gradient-primary opacity-8"></span>
            <!-- Header container -->
            <div class="container-fluid d-flex align-items-center">
                <div class="row">
                    <div class="col-lg-12 col-md-10">
                        <h1 class="display-2 text-white">Hello, {{userData.firstname}} {{userData.lastname}}</h1>
                    </div>
                </div>
            </div>
        </base-header>

        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col-xl-12 order-xl-1">
                    <card shadow type="secondary">
                        <div slot="header" class="bg-white border-0">
                            <div class="row align-items-center">
                                <div class="col-8">
                                    <h3 class="mb-0">My username : {{userData.username}}</h3>
                                    <span class="text-danger" v-if="error">{{error}}</span>
                                </div>
                            </div>
                        </div>
                        <template>
                            <form @submit="checkEdit">
                                <h6 class="heading-small text-muted mb-4">User information</h6>
                                <div class="pl-lg-4">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <base-input alternative=""
                                                        label="First name"
                                                        placeholder="First name"
                                                        input-classes="form-control-alternative"
                                                        v-model="userData.firstname"
                                            />
                                        </div>
                                        <div class="col-lg-6">
                                            <base-input alternative=""
                                                        label="Last name"
                                                        placeholder="Last name"
                                                        input-classes="form-control-alternative"
                                                        v-model="userData.lastname"
                                            />
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <base-input alternative=""
                                                        label="E-mail"
                                                        placeholder="info.nellehliving@gmail.com"
                                                        input-classes="form-control-alternative"
                                                        type="email"
                                                        v-model="userData.email"
                                            />
                                        </div>
                                        <div class="col-lg-6">
                                            <base-input alternative=""
                                                        label="Organization"
                                                        placeholder="Organization"
                                                        input-classes="form-control-alternative"
                                                        v-model="userData.organization_name"
                                            />
                                        </div>
                                    </div>
                                </div>
                                <hr class="my-4" />
                                <div class="text-center">
                                    <button class="btn btn-lg btn-primary" type="submit">Confirm Edit</button>
                                </div>
                            </form>
                        </template>
                    </card>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
  export default {
    name: 'user-profile',
    data() {
      return {
        userData : [],
        message : '',
        error :''
      }
    },
    created() {
        this.getProfile()
    },methods: {
        getProfile() {
          //console.log(localStorage.token)
          this.$http.get('/manage/profile',{
          headers: {
            Authorization: 'Bearer ' + localStorage.token
            }
          })
          .then(response => (this.userData = response.data))
        },
        checkEdit(){
            this.$swal({
            title: "Confirm edit?",
            icon: "warning",
            buttons: ['cancel','confirm']
          })
          .then((confirm) => {
            if (confirm) {
              this.confirmEdit()
            }
          })
        },
        confirmEdit(){
            this.$http.post('/manage/profile/edit',{
                user_id : this.userData.user_id,
                firstname: this.userData.firstname,
                lastname: this.userData.lastname,
                email: this.userData.email,
                organization_name: this.userData.organization_name
            })
          .then(response => {
              if(response.data.message === 'success'){
                this.$swal({
                    title: "Edited!",
                    icon: "success",
                    timer: 3000
                })
              }
          })
          .catch(() => this.checkEdituser ())
        },
        checkEdituser(){
            this.error = 'Update failed!!'
        }
    },
  };
</script>
<style></style>
